Add a new Packagepost https://api-sandbox-revel.revelup.com/resources/Package/Add a new PackageBody ParamsPackage object that needs to be addedactivebooleanDefaults to trueFlag. If set to True, the Package is visible and can be used.truefalseactual_ship_datedate-timeActual shipping date of the package.addressobjectrequiredAddress object in the form of JSON, primary_billing and primary_shipping fields are required. All other fields are not required, and as this is JSON object it can have additional fields that are provided in the request.address objectcreated_byurirequiredURI of the user that created Package resource.created_datedate-timeDate and time when Package resource was created.external_shipping_addressobjectAddress object in the form of JSON, primary_billing and primary_shipping fields are required. All other fields are not required, and as this is JSON object it can have additional fields that are provided in the request.external_shipping_address objectitemsarrayrequireditems*ADD notesstringNotes about this Package resource.orderstringrequiredOrder that this Package resource is attached to.packagingstringlength ≤ 100Type of packing , free field. Example: Envelope box.ratenumber> 0Decimal number with two decimal places, that is the rate of Package resource.service_codestringlength ≤ 100Specific code that would link to shipping method integration, customer facing.service_namestringlength ≤ 50Name of the service for this Package resource.shipping_chargefloatrequiredPrice of shipping for this Package resource.shipping_companyintegerenumrequiredShiping companies. 0 - Unknown, 1 - UPS, 2 - FedEx, 3 - '', 4 - Revel Shipping. Shipment Companies: 0 - SHIPMENT_COMPANY_UNKNOWN 1 - SHIPMENT_COMPANY_UPS 2 - SHIPMENT_COMPANY_FEDEX 3 - SHIPMENT_COMPANY_WITH_COMPLIANCE 4 - SHIPMENT_COMPANY_REVEL_SHIPPING 01234Allowed:01234shipping_labelstringLabel of the shippingsignature_requiredbooleanDefaults to falseTrue if package need to be signed for.truefalsestateintegerenumState in which is the Package. 0 - Incomplete, 1 - Shipping, 2 - Shipped. Package States: 0 - PACKAGE_STATE_INCOMPLETE 1 - PACKAGE_STATE_SHIPPING 2 - PACKAGE_STATE_SHIPPED CA012Allowed:012target_ship_datedaterequiredDate when package is going to be shipped.tax_optionintegerenumTax options for packages. 0 - None, 1 - Local, 2 - Destination-based Package Tax Options: 0 - PACKAGE_TAX_OPTION_NONE 1 - PACKAGE_TAX_OPTION_LOCAL 2 - PACKAGE_TAX_OPTION_DESTINATION_BASED 012Allowed:012tracking_numberstringlength ≤ 100Number attached to package. Package can be then tracked by this number, also Packages can then be filtered by this number.updated_byurirequiredURI of the user that updated Package resource.updated_datedate-timeDate and time when Package resource was updated.uuiduuidUUID of this Package resource.weightfloatrequiredWeight of the package.Responses 201Resource successfully created. 400Invalid input - please run the request body through a JSON validator.Updated about 1 month ago